Page MenuHomePhabricator

Improve scap's output
Closed, ResolvedPublic

Description

Both logging and to the CLI to the user.

Event Timeline

demon created this task.Aug 21 2015, 5:13 PM
demon raised the priority of this task from to Normal.
demon updated the task description. (Show Details)
demon added a project: Scap.
demon moved this task to Needs triage on the Scap board.
demon added a subscriber: demon.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 21 2015, 5:13 PM
demon added a comment.Aug 21 2015, 5:25 PM

Things we want:

  • More explicit notices of which nodes failed and why (see parent task)
  • Full (debug-level) logging of scap's behavior to logstash
demon claimed this task.Aug 26 2015, 2:46 PM
demon moved this task from Services improvements to Services MVP on the Scap board.
demon set Security to None.
dduvall moved this task from Services MVP to Experiments on the Scap board.Sep 8 2015, 4:20 PM
greg moved this task from Experiments to Services MVP on the Scap board.Sep 16 2015, 5:10 PM

Change 238777 had a related patch set uploaded (by Greg Grossmeier):
Allow top-level logger to track lower level git operations

https://gerrit.wikimedia.org/r/238777

Change 238786 had a related patch set uploaded (by Greg Grossmeier):
sudo_check_call: Improve logging on failures

https://gerrit.wikimedia.org/r/238786

Change 238777 abandoned by Chad:
Allow top-level logger to track lower level git operations

Reason:
Not right.

https://gerrit.wikimedia.org/r/238777

Change 238786 abandoned by Chad:
sudo_check_call: Improve logging on failures

Reason:
Not gonna do it this way. The crucial bit was folded into I06659e8e instead.

https://gerrit.wikimedia.org/r/238786

Landed https://gerrit.wikimedia.org/r/#/c/238858/ which helps the first point (more explicit errors from hosts on shell invocations).

Still some work to be done on cleaning up logging code overall but that's a little less urgent.

interactive scap, controlling tmux, auto-completing scap built-in commands (e.g. cli.Application sub-classes) and also handling threaded / async subprocess i/o:

demon closed this task as Resolved.Sep 29 2015, 4:52 PM

The stuff I was originally seeing as in scope for this are done. iscap is still a nice experiment but I think should get separate bugs filed against it. Marking resolved

demon moved this task from Services MVP to Done on the Scap board.Sep 29 2015, 4:53 PM